/*
 * poly2d.h - Poly2D interface functions
 *
 * Written 2012 by Werner Almesberger
 * Copyright 2012 Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */


#ifndef POLY2D_H

#include <poly2d.h>

#include "path.h"


struct p2d *path_to_poly(const struct path *path);
struct p2d *paths_to_polys_z(const struct path *paths,
    double zmin, double zmax);
struct p2d *paths_to_polys(const struct path *paths);

struct path *poly_to_path(const struct p2d *poly, double r_tool, double z);
struct path *polys_to_paths(const struct p2d *polys, double r_tool, double z);

#endif /* !POLY2D_H */
